
Redmine - Defect #38528

Missing Cyrillic letters in exported PDFs in Safari and Mac Preview

2023-05-07 14:38 - Ilya Cherevkov

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.0.5

Description

PDF files exported from Redmine are missing some Cyrillic letters when viewing in Safari or Mac Preview.

Viewing files in Firefox or Chrome working as expected.

Redmine 5.0.5

ruby 3.2.2

rbpdf 1.21.1

Fonts:

general_pdf_fontname: freesans

general_pdf_monospaced_fontname: freemono

History

#1 - 2023-05-08 10:41 - Go MAEDA

- Status changed from New to Confirmed

#2 - 2023-10-23 04:29 - Mischa The Evil

- Affected version changed from 5.0.4 to 5.0.5

#3 - 2024-04-23 16:41 - Dmitry Nekrasov

same problem in 5.1.1 version

Files

test-1-6.pdf 97.8 KB 2023-05-07 Ilya Cherevkov

Screenshot 2023-05-07 at 15.33.30.jpg 142 KB 2023-05-07 Ilya Cherevkov
